Bug 1616364 - PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
Summary: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-15 17:45 UTC by Mikhail
Modified: 2020-09-10 01:05 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
dmesg (193.63 KB, text/plain)
2018-08-15 17:45 UTC, Mikhail
no flags Details

Description Mikhail 2018-08-15 17:45:04 UTC
Created attachment 1476224 [details]
dmesg

Description of problem:

I assembled a new computer.
But my joy is marred by a lot of errors in the kernel log:
[  104.373852] pcieport 0000:00:03.1: AER: Corrected error received:
0000:00:00.0
[  104.373877] pcieport 0000:00:03.1: PCIe Bus Error:
severity=Corrected, type=Data Link Layer, (Transmitter ID)
[  104.373881] pcieport 0000:00:03.1:   device [1022:1453] error
status/mask=00001000/00006000
[  104.373886] pcieport 0000:00:03.1:    [12] Replay Timer Timeout
I don't know it may be false positive or can impact performance.
Anyway I hope it can be fixed because such count of errors make it
difficult to observe real problems.


$ uname -r
4.18.0-0.rc8.git2.1.fc29.x86_64

Comment 1 Mikhail 2018-08-15 19:11:01 UTC
$ lspci -nn
00:00.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Root Complex [1022:1450]
00:00.2 IOMMU [0806]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) I/O Memory Management Unit [1022:1451]
00:01.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge [1022:1452]
00:01.1 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge [1022:1453]
00:01.3 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge [1022:1453]
00:02.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge [1022:1452]
00:03.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge [1022:1452]
00:03.1 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge [1022:1453]
00:04.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge [1022:1452]
00:07.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge [1022:1452]
00:07.1 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B [1022:1454]
00:08.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge [1022:1452]
00:08.1 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B [1022:1454]
00:14.0 SMBus [0c05]: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller [1022:790b] (rev 59)
00:14.3 ISA bridge [0601]: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge [1022:790e] (rev 51)
00:18.0 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 0 [1022:1460]
00:18.1 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 1 [1022:1461]
00:18.2 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 2 [1022:1462]
00:18.3 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 3 [1022:1463]
00:18.4 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 4 [1022:1464]
00:18.5 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 5 [1022:1465]
00:18.6 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 6 [1022:1466]
00:18.7 Host bridge [0600]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 7 [1022:1467]
01:00.0 Non-Volatile memory controller [0108]: Intel Corporation Optane SSD 900P Series [8086:2700]
02:00.0 USB controller [0c03]: Advanced Micro Devices, Inc. [AMD] Device [1022:43d0] (rev 01)
02:00.1 SATA controller [0106]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c8] (rev 01)
02:00.2 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c6] (rev 01)
03:00.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c7] (rev 01)
03:01.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c7] (rev 01)
03:02.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c7] (rev 01)
03:03.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c7] (rev 01)
03:04.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c7] (rev 01)
04:00.0 Ethernet controller [0200]: Intel Corporation I211 Gigabit Network Connection [8086:1539] (rev 03)
05:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8822BE 802.11a/b/g/n/ac WiFi adapter [10ec:b822]
09:00.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:1470] (rev c3)
0a:00.0 PCI bridge [0604]: Advanced Micro Devices, Inc. [AMD] Device [1022:1471]
0b:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Vega 10 XT [Radeon RX Vega 64] [1002:687f] (rev c3)
0b:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Device [1002:aaf8]
0c:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Device [1022:145a]
0c:00.2 Encryption controller [1080]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Platform Security Processor [1022:1456]
0c:00.3 USB controller [0c03]: Advanced Micro Devices, Inc. [AMD] USB 3.0 Host controller [1022:145f]
0d:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Device [1022:1455]
0d:00.2 SATA controller [0106]: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] [1022:7901] (rev 51)
0d:00.3 Audio device [0403]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) HD Audio Controller [1022:1457]

Comment 2 Jakub Jankiewicz 2018-11-08 12:26:15 UTC
I have the same issue:

[81827.838100] pcieport 0000:00:1c.5: AER: Corrected error received: 0000:00:1c.5
[81827.838111] pcieport 0000:00:1c.5: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
[81827.838122] pcieport 0000:00:1c.5:   device [8086:9d15] error status/mask=00001000/00000000
[81827.838129] pcieport 0000:00:1c.5:    [12] Replay Timer Timeout

in dmesg

$ uname -a
Linux jcubic 4.18.16-100.fc27.x86_64 #1 SMP Sun Oct 21 09:33:00 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I'm not sure if this was that error that came up in Kernel after update, There was thread in Kernel bug tracker that indicated the issue was always present but was not visible in logs.

Comment 3 Jakub Jankiewicz 2018-11-08 12:30:13 UTC
$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers [8086:5914] (rev 08)
00:02.0 VGA compatible controller [0300]: Intel Corporation UHD Graphics 620 [8086:5917] (rev 07)
00:04.0 Signal processing controller [1180]: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem [8086:1903] (rev 08)
00:14.0 USB controller [0c03]: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller [8086:9d2f] (rev 21)
00:14.2 Signal processing controller [1180]: Intel Corporation Sunrise Point-LP Thermal subsystem [8086:9d31] (rev 21)
00:15.0 Signal processing controller [1180]: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 [8086:9d60] (rev 21)
00:16.0 Communication controller [0780]: Intel Corporation Sunrise Point-LP CSME HECI #1 [8086:9d3a] (rev 21)
00:17.0 RAID bus controller [0104]: Intel Corporation 82801 Mobile SATA Controller [RAID mode] [8086:282a] (rev 21)
00:1c.0 PCI bridge [0604]: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 [8086:9d10] (rev f1)
00:1c.4 PCI bridge [0604]: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 [8086:9d14] (rev f1)
00:1c.5 PCI bridge [0604]: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 [8086:9d15] (rev f1)
00:1f.0 ISA bridge [0601]: Intel Corporation Intel(R) 100 Series Chipset Family LPC Controller/eSPI Controller - 9D4E [8086:9d4e] (rev 21)
00:1f.2 Memory controller [0580]: Intel Corporation Sunrise Point-LP PMC [8086:9d21] (rev 21)
00:1f.3 Audio device [0403]: Intel Corporation Sunrise Point-LP HD Audio [8086:9d71] (rev 21)
00:1f.4 SMBus [0c05]: Intel Corporation Sunrise Point-LP SMBus [8086:9d23] (rev 21)
01:00.0 Display controller [0380]: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445] [1002:6900] (rev c1)
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL810xE PCI Express Fast Ethernet controller [10ec:8136] (rev 07)
03:00.0 Network controller [0280]: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter [168c:0042] (rev 31)

The machine was Laptop Dell Inspiron 15 5570.

Comment 4 Jakub Jankiewicz 2018-11-08 21:40:46 UTC
There is bug in Kernel reported to its bug tracker

https://bugzilla.kernel.org/show_bug.cgi?id=194431

Comment 5 Jakub Jankiewicz 2018-11-30 18:50:20 UTC
This was different issue, this one suggest to use 

pci=nommconf

https://bugzilla.kernel.org/show_bug.cgi?id=196183

Comment 6 Forrest Ewen 2019-03-29 14:03:43 UTC
Was there ever a resolution to the error.  The two posted links don't see to indicate what the issue was or if it had been fixed.  

I'm getting :
Mar 29 09:42:44 recovery kernel: pcieport 0000:80:03.0: AER: Multiple Corrected error received: id=8018
Mar 29 09:42:44 recovery kernel: pcieport 0000:80:03.0: PCIe Bus Error: severity=Corrected, type=Data Link Layer, id=8018(Receiver ID)
Mar 29 09:42:44 recovery kernel: pcieport 0000:80:03.0:   device [8086:6f08] error status/mask=00000040/00002000
Mar 29 09:42:44 recovery kernel: pcieport 0000:80:03.0:    [ 6] Bad TLP               

on RHEL kernel version 
3.10.0-862.14.4.el7.x86_64

Do I need to update the kernel to make it go away, has there been a fix for it?  The second link posted showed it as work around but not a fix.

Comment 7 Marcin Zajaczkowski 2019-06-30 16:35:27 UTC
I have the same error with 5.1.5-300.fc30.x86_64 and 5.2.0-0.rc4.git0.1.fc30.x86_64 (a rawhide SRPM rebuilt on Fedora 30).

> Jun 30 15:14:54 foobar kernel: pcieport 0000:00:1d.6: AER: Multiple Corrected error received: 0000:00:1d.6
> Jun 30 15:14:54 foobar kernel: pcieport 0000:00:1d.6: AER: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
> Jun 30 15:14:54 foobar kernel: pcieport 0000:00:1d.6: AER:   device [8086:a336] error status/mask=00001000/00002000
> Jun 30 15:14:54 foobar kernel: pcieport 0000:00:1d.6: AER:    [12] Timeout  

> $ lspci -nn | grep 00:1d.6
> 00:1d.6 PCI bridge [0604]: Intel Corporation Cannon Lake PCH PCI Express Root Port #15 [8086:a336] (rev f0)

It was occuring a few times a day when I was on wireless (Intel Wireless-AC 9560), but coping GBs of files over sshfs with a 1Gbps direct ethernet connection (RTL8111/8168/8411) it started to be logged 20-30 times per second limiting effective transfer rate to ~100Mbps. With disabled advanced error reporting ("pci=noaer") errors are no longer printed and I had ~1Gbps with sshfs, but it only hides an underlying problem with hardware.
(there could be some issues with a cable placement, but in the attempt with pci=noaer the same cable was used)

My laptop is Hyperbook NH5/Clevo NH55RCQ. The other hardware:

$ lspci -nn
> 00:00.0 Host bridge [0600]: Intel Corporation 8th Gen Core Processor Host Bridge/DRAM Registers [8086:3ec4] (rev 07)
> 00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) [8086:1901] (rev 07)
> 00:02.0 VGA compatible controller [0300]: Intel Corporation UHD Graphics 630 (Mobile) [8086:3e9b]
> 00:12.0 Signal processing controller [1180]: Intel Corporation Cannon Lake PCH Thermal Controller [8086:a379] (rev 10)
> 00:14.0 USB controller [0c03]: Intel Corporation Cannon Lake PCH USB 3.1 xHCI Host Controller [8086:a36d] (rev 10)
> 00:14.2 RAM memory [0500]: Intel Corporation Cannon Lake PCH Shared SRAM [8086:a36f] (rev 10)
> 00:14.3 Network controller [0280]: Intel Corporation Wireless-AC 9560 [Jefferson Peak] [8086:a370] (rev 10)
> 00:15.0 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH Serial IO I2C Controller #0 [8086:a368] (rev 10)
> 00:15.1 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH Serial IO I2C Controller #1 [8086:a369] (rev 10)
> 00:16.0 Communication controller [0780]: Intel Corporation Cannon Lake PCH HECI Controller [8086:a360] (rev 10)
> 00:17.0 SATA controller [0106]: Intel Corporation Cannon Lake Mobile PCH SATA AHCI Controller [8086:a353] (rev 10)
> 00:1b.0 PCI bridge [0604]: Intel Corporation Cannon Lake PCH PCI Express Root Port #21 [8086:a32c] (rev f0)
> 00:1d.0 PCI bridge [0604]: Intel Corporation Cannon Lake PCH PCI Express Root Port #9 [8086:a330] (rev f0)
> 00:1d.6 PCI bridge [0604]: Intel Corporation Cannon Lake PCH PCI Express Root Port #15 [8086:a336] (rev f0)
> 00:1f.0 ISA bridge [0601]: Intel Corporation Device [8086:a30d] (rev 10)
> 00:1f.3 Audio device [0403]: Intel Corporation Cannon Lake PCH cAVS [8086:a348] (rev 10)
> 00:1f.4 SMBus [0c05]: Intel Corporation Cannon Lake PCH SMBus Controller [8086:a323] (rev 10)
> 00:1f.5 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH SPI Controller [8086:a324] (rev 10)
> 01:00.0 VGA compatible controller [0300]: NVIDIA Corporation TU116M [GeForce GTX 1660 Ti Mobile] [10de:2191] (rev a1)
> 01:00.1 Audio device [0403]: NVIDIA Corporation Device [10de:1aeb] (rev a1)
> 01:00.2 USB controller [0c03]: NVIDIA Corporation Device [10de:1aec] (rev a1)
> 01:00.3 Serial bus controller [0c80]: NVIDIA Corporation Device [10de:1aed] (rev a1)
> 06:00.0 Non-Volatile memory controller [0108]: Samsung Electronics Co Ltd NVMe SSD Controller SM981/PM981 [144d:a808]
> 08:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTL8411B PCI Express Card Reader [10ec:5287] (rev 01)
> 08:00.1 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 12)

Comment 8 Marcin Zajaczkowski 2019-07-04 09:32:00 UTC
(In reply to Marcin Zajaczkowski from comment #7)
> It was occuring a few times a day when I was on wireless (Intel Wireless-AC
> 9560), but coping GBs of files over sshfs with a 1Gbps direct ethernet
> connection (RTL8111/8168/8411) it started to be logged 20-30 times per
> second limiting effective transfer rate to ~100Mbps. With disabled advanced
> error reporting ("pci=noaer") errors are no longer printed and I had ~1Gbps
> with sshfs, but it only hides an underlying problem with hardware.
> (there could be some issues with a cable placement, but in the attempt with
> pci=noaer the same cable was used)

To be clear, I have some doubts that the errors itself were limiting the transfer speed to 100Mbps. There could be some issues with a cable. Nevertheless, the flood in the logs could have some impact on the performance.

Comment 9 Adam 2019-08-12 07:35:39 UTC
Hello,

I'm new to Fedora, bugzilla and Linux in general. I have a similar issue so I wasn't sure to file it as another bug or mention it here.

Here is the error in the system log.

Aug 12 16:56:37 localhost.localdomain kernel: pcieport 0000:40:01.1: AER: Multiple Corrected error received: 0000:41:00.0
Aug 12 16:56:37 localhost.localdomain kernel: nvme 0000:41:00.0: AER: PCIe Bus Error: severity=Corrected, type=Physical Layer, (Receiver ID)
Aug 12 16:56:37 localhost.localdomain kernel: nvme 0000:41:00.0: AER:   device [144d:a808] error status/mask=00000001/0000e000
Aug 12 16:56:37 localhost.localdomain kernel: nvme 0000:41:00.0: AER:    [ 0] RxErr 

Over 2700 lines of that message gets repeated.

Here is some additional information that might be useful.

kernal version: 5.2.7-200.fc30.x86_64 (I updated Fedora 30 just before these errors occur but these error was also in the previous versions)

CPU: Threadripper 1950x

Motherboard: ASUS Zenith Extreme

BIOS: 1601

Programs/commands running: "sudo journalctl -f", "sudo iotop -a", "sudo top", "Windows Server 2019 guest vm (in ramfs) using kvm via qemu 4 via libvert"

0000:41:00.0 is the pcie address of the Zenith Extreme's Dimm.2 slot that is not facing the CPU socket. Currently that slot is housing a Samsung 970 Pro nvme SSD.

Comment 10 Renich Bon Ciric 2019-11-01 17:16:01 UTC
I am suffering, apparently, of the same issue:

Nov 01 11:03:31 introdesk.g02.org kernel: pcieport 0000:00:01.3: AER: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Receiver ID)
Nov 01 11:03:31 introdesk.g02.org kernel: pcieport 0000:00:01.3: AER:   device [1022:1453] error status/mask=00000040/00006000
Nov 01 11:03:31 introdesk.g02.org kernel: pcieport 0000:00:01.3: AER:    [ 6] BadTLP                

My specs:

=== fpaste 0.4.0.1 System Information (fpaste --sysinfo) ===
* OS Release (cat /etc/*-release | uniq):
     Fedora release 31 (Thirty One)
     NAME=Fedora
     VERSION="31 (Workstation Edition)"
     ID=fedora
     VERSION_ID=31
     VERSION_CODENAME=""
     PLATFORM_ID="platform:f31"
     PRETTY_NAME="Fedora 31 (Workstation Edition)"
     ANSI_COLOR="0;34"
     LOGO=fedora-logo-icon
     CPE_NAME="cpe:/o:fedoraproject:fedora:31"
     HOME_URL="https://fedoraproject.org/"
     DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/f31/system-administrators-guide/"
     SUPPORT_URL="https://fedoraproject.org/wiki/Communicating_and_getting_help"
     BUG_REPORT_URL="https://bugzilla.redhat.com/"
     REDHAT_BUGZILLA_PRODUCT="Fedora"
     REDHAT_BUGZILLA_PRODUCT_VERSION=31
     REDHAT_SUPPORT_PRODUCT="Fedora"
     REDHAT_SUPPORT_PRODUCT_VERSION=31
     PRIVACY_POLICY_URL="https://fedoraproject.org/wiki/Legal:PrivacyPolicy"
     VARIANT="Workstation Edition"
     VARIANT_ID=workstation
     Fedora release 31 (Thirty One)
     
* Kernel (uname -r ; cat /proc/cmdline):
     5.3.7-301.fc31.x86_64
     BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.7-301.fc31.x86_64 root=UUID=b4f9a4c8-0f96-484d-915d-44ba1f92cb0e ro rootflags=subvol=root-f31 resume=UUID=ee364a6f-f2a6-44bb-a1d1-4bf8950650ac rhgb quiet
     
* Desktop(s) Running (ps -eo comm= | grep -E '(gnome-session|startkde|startactive|xfce.?-session|fluxbox|blackbox|hackedbox|ratpoison|enlightenment|icewm-session|od-session|wmaker|wmx|openbox-lxde|openbox-gnome-session|openbox-kde-session|mwm|e16|fvwm|xmonad|sugar-session|mate-session|lxqt-session|cinnamon)' ):
     gnome-session-b
     gnome-session-c
     gnome-session-b
     
* Desktop(s) Installed (ls -m /usr/share/xsessions/ | sed 's/\.desktop//g' ):
     gnome-classic, gnome, gnome-xorg
     
* SELinux Status (sestatus):
     SELinux status:                 enabled
     SELinuxfs mount:                /sys/fs/selinux
     SELinux root directory:         /etc/selinux
     Loaded policy name:             targeted
     Current mode:                   enforcing
     Mode from config file:          enforcing
     Policy MLS status:              enabled
     Policy deny_unknown status:     allowed
     Memory protection checking:     actual (secure)
     Max kernel policy version:      31
     
* SELinux Errors (without results: "selinuxenabled && journalctl --since yesterday |grep avc: | grep -Eo comm="[^ ]+" | sort |uniq -c |sort -rn"):
     N/A

* CPU Model (grep 'model name' /proc/cpuinfo | awk -F: '{print $2}' | uniq -c |
         sed -re 's/^ +//' ):
     16  AMD Ryzen 7 1800X Eight-Core Processor
     
* 64-bit Support (grep -q ' lm ' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Hardware Virtualization Support (grep -Eq '(vmx|svm)' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Load average (uptime):
      11:15:24 up 39 min,  1 user,  load average: 0.29, 0.22, 0.31
     
* Memory usage (free -m):
                   total        used        free      shared  buff/cache   available
     Mem:          64312        3905       50782         232        9624       59467
     Swap:         32269           0       32269
     
* Top 5 CPU hogs (ps axuScnh | awk '$2!=13746' | sort -rnk3 | head -5):
            0       1 15.0  0.0 176108 17420 ?        Ss   10:35   5:58 systemd
         1000   10618 12.3  0.8 3725848 570716 ?      Sl   10:46   3:31 firefox
         1000   12453  9.9  0.4 3086372 322352 ?      Sl   10:52   2:17 Web Content
         1000    9465  3.3  0.1 2920716 111276 tty3   Sl+  10:46   0:57 Xorg
         1000   10809  2.6  0.8 3252320 544296 ?      Sl   10:46   0:45 Web Content
     
* Top 5 Memory hogs (ps axuScnh | sort -rnk4 | head -5):
         1000   10809  2.6  0.8 3252320 544296 ?      Sl   10:46   0:45 Web Content
         1000   10618 12.3  0.8 3725848 570716 ?      Sl   10:46   3:31 firefox
         1000   10839  1.0  0.6 3107708 455884 ?      Sl   10:46   0:17 Web Content
         1000   10817  1.7  0.6 3111396 458196 ?      Sl   10:46   0:29 Web Content
         1000   12453  9.9  0.4 3086372 322352 ?      Sl   10:52   2:17 Web Content
     
* Disk space usage (df -hT):
     Filesystem     Type      Size  Used Avail Use% Mounted on
     devtmpfs       devtmpfs   32G     0   32G   0% /dev
     tmpfs          tmpfs      32G  176M   32G   1% /dev/shm
     tmpfs          tmpfs      32G  2.2M   32G   1% /run
     /dev/nvme0n1p4 btrfs     445G  183G  260G  42% /
     tmpfs          tmpfs      32G   32M   32G   1% /tmp
     /dev/nvme0n1p4 btrfs     445G  183G  260G  42% /var
     /dev/nvme0n1p4 btrfs     445G  183G  260G  42% /srv
     /dev/nvme0n1p4 btrfs     445G  183G  260G  42% /home
     /dev/nvme0n1p2 ext4      976M  152M  757M  17% /boot
     /dev/nvme0n1p1 vfat      200M   20M  181M  10% /boot/efi
     tmpfs          tmpfs     6.3G   92K  6.3G   1% /run/user/1000
     
* Block devices (blkid):
     /dev/sda1: LABEL="archive" UUID="6d0104f1-d372-4031-8972-4921f5369117" UUID_SUB="c07dffa5-529e-4c7e-b210-59229c9b0c32" TYPE="btrfs" PARTUUID="9013fde2-1922-4566-a062-5782f299a47a"
     /dev/nvme0n1p1: SEC_TYPE="msdos" LABEL_FATBOOT="efi" LABEL="efi" UUID="0210-6250" TYPE="vfat" PARTLABEL="EFI System Partition" PARTUUID="face6c9c-6d73-48ec-aa39-a459097618b1"
     /dev/nvme0n1p2: LABEL="boot" UUID="9e686975-e9a7-40cd-9153-45cbbae12cac" TYPE="ext4" PARTUUID="baee3b8c-492b-4dba-91fa-1a9a2980f3a8"
     /dev/nvme0n1p3: LABEL="swap" UUID="ee364a6f-f2a6-44bb-a1d1-4bf8950650ac" TYPE="swap" PARTUUID="78998368-c355-4134-9438-336c3582c33b"
     /dev/nvme0n1p4: LABEL="fedora" UUID="b4f9a4c8-0f96-484d-915d-44ba1f92cb0e" UUID_SUB="359a1e6d-1efa-432a-9004-005c18acab1f" TYPE="btrfs" PARTUUID="144b1704-9fcf-4934-99da-f97be9a52860"
     
* PCI devices (lspci):
     00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Root Complex
     00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) I/O Memory Management Unit
     00:01.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
     00:01.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge
     00:01.3 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge
     00:02.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
     00:03.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
     00:03.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge
     00:04.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
     00:07.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
     00:07.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B
     00:08.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
     00:08.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B
     00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 59)
     00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 51)
     00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 0
     00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 1
     00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 2
     00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 3
     00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 4
     00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 5
     00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 6
     00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 7
     01:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM961/PM961
     02:00.0 USB controller: Advanced Micro Devices, Inc. [AMD] X370 Series Chipset USB 3.1 xHCI Controller (rev 02)
     02:00.1 SATA controller: Advanced Micro Devices, Inc. [AMD] X370 Series Chipset SATA Controller (rev 02)
     02:00.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] X370 Series Chipset PCIe Upstream Port (rev 02)
     03:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     03:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     03:03.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     03:04.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     03:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     03:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     03:07.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 300 Series Chipset PCIe Port (rev 02)
     04:00.0 USB controller: ASMedia Technology Inc. ASM1142 USB 3.1 Host Controller
     05:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
     06:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)
     0a:00.0 RAID bus controller: Silicon Image, Inc. SiI 3132 Serial ATA Raid II Controller (rev 01)
     0b:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] Device 14a0 (rev c1)
     0c:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] Device 14a1
     0d:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Vega 20 [Radeon VII] (rev c1)
     0d:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Vega 20 HDMI Audio [Radeon VII]
     0e:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Zeppelin/Raven/Raven2 PCIe Dummy Function
     0e:00.2 Encryption controller: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Platform Security Processor
     0e:00.3 USB controller: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) USB 3.0 Host Controller
     0f:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Zeppelin/Renoir PCIe Dummy Function
     0f:00.2 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (rev 51)
     0f:00.3 Audio device: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) HD Audio Controller
     
* USB devices (lsusb):
     Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
     Bus 005 Device 005: ID 05e3:0745 Genesys Logic, Inc. Logilink CR0012
     Bus 005 Device 004: ID 0d8c:0012 C-Media Electronics, Inc. Scarlett 18i20 USB
     Bus 005 Device 003: ID 05e3:0608 Genesys Logic, Inc. Hub
     Bus 005 Device 002: ID 1235:800c Focusrite-Novation Scarlett 18i20
     Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
     Bus 003 Device 002: ID 145f:024b Trust Trust Wired Keyboard
     Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
     Bus 001 Device 004: ID 046d:082d Logitech, Inc. HD Pro Webcam C920
     Bus 001 Device 003: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
     Bus 001 Device 002: ID 0b05:1825 ASUSTek Computer, Inc. Qualcomm Bluetooth 4.1
     Bus 001 Device 007: ID 043e:9a39 LG Electronics USA, Inc. 
     Bus 001 Device 008: ID 09e8:0045 AKAI  Professional M.I. Corp. 
     Bus 001 Device 006: ID 0451:8142 Texas Instruments, Inc. TUSB8041 4-Port Hub
     Bus 001 Device 005: ID 093a:2532 Pixart Imaging, Inc. Gaming Mouse
     Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     
* DRM Information (journalctl -k -b | grep -o 'kernel:.*drm.*$' | cut -d ' ' -f 2- ):
     [drm] amdgpu kernel modesetting enabled.
     fb0: switching to amdgpudrmfb from EFI VGA
     [drm] initializing kernel modesetting (VEGA20 0x1002:0x66AF 0x1002:0x081E 0xC1).
     [drm] register mmio base: 0xFCB00000
     [drm] register mmio size: 524288
     [drm] add ip block number 0 <soc15_common>
     [drm] add ip block number 1 <gmc_v9_0>
     [drm] add ip block number 2 <vega10_ih>
     [drm] add ip block number 3 <psp>
     [drm] add ip block number 4 <gfx_v9_0>
     [drm] add ip block number 5 <sdma_v4_0>
     [drm] add ip block number 6 <powerplay>
     [drm] add ip block number 7 <dm>
     [drm] add ip block number 8 <uvd_v7_0>
     [drm] add ip block number 9 <vce_v4_0>
     [drm] UVD(0) is enabled in VM mode
     [drm] UVD(1) is enabled in VM mode
     [drm] UVD(0) ENC is enabled in VM mode
     [drm] UVD(1) ENC is enabled in VM mode
     [drm] VCE enabled in VM mode
     [drm] vm size is 262144 GB, 4 levels, block size is 9-bit, fragment size is 9-bit
     [drm] Detected VRAM RAM=16368M, BAR=256M
     [drm] RAM width 4096bits HBM
     [drm] amdgpu: 16368M of VRAM memory ready
     [drm] amdgpu: 16368M of GTT memory ready.
     [drm] GART: num cpu pages 131072, num gpu pages 131072
     [drm] PCIE GART of 512M enabled (table at 0x0000008000300000).
     [drm] use_doorbell being set to: [true]
     [drm] use_doorbell being set to: [true]
     [drm] Found UVD firmware ENC: 1.1 DEC: .23 Family ID: 19
     [drm] PSP loading UVD firmware
     [drm] Found VCE firmware Version: 55.5 Binary ID: 4
     [drm] PSP loading VCE firmware
     [drm] reserve 0x400000 from 0x8000c00000 for PSP TMR
     [drm] Display Core initialized with v3.2.35!
     [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
     [drm] Driver supports precise vblank timestamp query.
     [drm] UVD and UVD ENC initialized successfully.
     [drm] VCE initialized successfully.
     [drm] fb mappable at 0xE1000000
     [drm] vram apper at 0xE0000000
     [drm] size 19906560
     [drm] fb depth is 24
     [drm]    pitch is 13824
     fbcon: amdgpudrmfb (fb0) is primary device
     amdgpu 0000:0d:00.0: fb0: amdgpudrmfb frame buffer device
     [drm] ECC is not present.
     [drm] SRAM ECC is not present.
     [drm] Initialized amdgpu 3.33.0 20150101 for 0000:0d:00.0 on minor 0
     [drm] Fence fallback timer expired on ring gfx
     [drm] Fence fallback timer expired on ring comp_1.0.0
     [drm] Fence fallback timer expired on ring comp_1.1.0
     
* Xorg modules (grep LoadModule /var/log/Xorg.0.log ~/.local/share/xorg/Xorg.0.log | cut -d \" -f 2 | xargs):
     
     
* GL Support (glxinfo | grep -E "OpenGL version|OpenGL renderer"):
     OpenGL renderer string: AMD Radeon VII (VEGA20, DRM 3.33.0, 5.3.7-301.fc31.x86_64, LLVM 9.0.0)
     OpenGL version string: 4.5 (Compatibility Profile) Mesa 19.2.0
     
* Xorg errors (without results: "grep '^\[.*(EE)' /var/log/Xorg.0.log ~/.local/share/xorg/Xorg.0.log | cut -d ':' -f 2- "):
     N/A

* Kernel buffer tail (dmesg | tail):
     [  652.395706] broken atomic modeset userspace detected, disabling atomic
     [  654.467202] rfkill: input handler disabled
     [ 1669.318158] pcieport 0000:00:01.3: AER: Corrected error received: 0000:00:00.0
     [ 1669.318163] pcieport 0000:00:01.3: AER: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Receiver ID)
     [ 1669.318166] pcieport 0000:00:01.3: AER:   device [1022:1453] error status/mask=00000040/00006000
     [ 1669.318168] pcieport 0000:00:01.3: AER:    [ 6] BadTLP                
     [ 1832.850568] pcieport 0000:00:01.3: AER: Corrected error received: 0000:00:00.0
     [ 1832.850574] pcieport 0000:00:01.3: AER: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
     [ 1832.850576] pcieport 0000:00:01.3: AER:   device [1022:1453] error status/mask=00001000/00006000
     [ 1832.850578] pcieport 0000:00:01.3: AER:    [12] Timeout               
     
* Last few reboots (last -x -n10 reboot runlevel):
     runlevel (to lvl 5)   5.3.7-301.fc31.x Fri Nov  1 10:36   still running
     reboot   system boot  5.3.7-301.fc31.x Fri Nov  1 10:35   still running
     runlevel (to lvl 5)   5.3.7-301.fc31.x Thu Oct 31 20:00 - 10:36  (14:35)
     reboot   system boot  5.3.7-301.fc31.x Thu Oct 31 19:59   still running
     runlevel (to lvl 5)   5.3.7-301.fc31.x Thu Oct 31 16:18 - 20:00  (03:41)
     reboot   system boot  5.3.7-301.fc31.x Thu Oct 31 16:18   still running
     runlevel (to lvl 5)   5.3.7-301.fc31.x Thu Oct 31 16:01 - 16:18  (00:17)
     reboot   system boot  5.3.7-301.fc31.x Thu Oct 31 16:01   still running
     reboot   system boot  5.3.7-301.fc31.x Thu Oct 31 15:56   still running
     runlevel (to lvl 5)   5.3.7-301.fc31.x Thu Oct 31 09:05 - 15:55  (06:50)
     
     wtmp begins Wed Oct 30 00:44:56 2019
     
* DNF Repositories (dnf repolist):
     repo id                     repo name                                     status
     *fedora                     Fedora 31 - x86_64                            56,252
     *fedora-modular             Fedora Modular 31 - x86_64                       142
     *rpmfusion-free             RPM Fusion for Fedora 31 - Free                  588
     *rpmfusion-free-updates     RPM Fusion for Fedora 31 - Free - Updates         10
     *rpmfusion-nonfree          RPM Fusion for Fedora 31 - Nonfree               218
     *rpmfusion-nonfree-updates  RPM Fusion for Fedora 31 - Nonfree - Updates       4
     *updates                    Fedora 31 - x86_64 - Updates                   2,642
     *updates-modular            Fedora Modular 31 - x86_64 - Updates             141
     
* DNF Extras (dnf -C list extras):
     Last metadata expiration check: 0:29:39 ago on Fri 01 Nov 2019 10:45:48 AM CST.
     
* Last 20 packages installed (rpm -qa --nodigest --nosignature --last | head -20):
     irqbalance-1.4.0-4.fc31.x86_64                Fri 01 Nov 2019 11:08:08 AM CST
     qt5-qtdeclarative-5.12.5-4.fc31.x86_64        Fri 01 Nov 2019 10:45:37 AM CST
     golang-bin-1.13.3-1.fc31.x86_64               Fri 01 Nov 2019 10:45:36 AM CST
     golang-1.13.3-1.fc31.x86_64                   Fri 01 Nov 2019 10:45:36 AM CST
     cups-filesystem-2.2.12-3.fc31.noarch          Fri 01 Nov 2019 10:45:36 AM CST
     cups-2.2.12-3.fc31.x86_64                     Fri 01 Nov 2019 10:45:36 AM CST
     golang-src-1.13.3-1.fc31.noarch               Fri 01 Nov 2019 10:45:34 AM CST
     cups-ipptool-2.2.12-3.fc31.x86_64             Fri 01 Nov 2019 10:45:32 AM CST
     cups-client-2.2.12-3.fc31.x86_64              Fri 01 Nov 2019 10:45:32 AM CST
     cups-libs-2.2.12-3.fc31.x86_64                Fri 01 Nov 2019 10:45:31 AM CST
     obs-studio-libs-24.0.3-2.fc31.x86_64          Thu 31 Oct 2019 06:47:44 PM CST
     obs-studio-24.0.3-2.fc31.x86_64               Thu 31 Oct 2019 06:47:44 PM CST
     x264-0.157-12.20190717git34c06d1.fc31.x86_64  Thu 31 Oct 2019 06:47:43 PM CST
     qt5-qtsvg-5.12.5-1.fc31.x86_64                Thu 31 Oct 2019 06:47:43 PM CST
     mbedtls-2.16.3-1.fc31.x86_64                  Thu 31 Oct 2019 06:47:43 PM CST
     linux-firmware-20190923-102.fc31.noarch       Thu 31 Oct 2019 04:04:54 PM CST
     libguestfs-xfs-1.40.2-8.fc31.x86_64           Thu 31 Oct 2019 09:36:05 AM CST
     libguestfs-tools-c-1.40.2-8.fc31.x86_64       Thu 31 Oct 2019 09:36:05 AM CST
     libguestfs-1.40.2-8.fc31.x86_64               Thu 31 Oct 2019 09:36:05 AM CST
     hexedit-1.2.13-16.fc31.x86_64                 Thu 31 Oct 2019 09:36:05 AM CST
     
* EFI boot manager output (efibootmgr -v):
     BootCurrent: 0000
     Timeout: 1 seconds
     BootOrder: 0000,0017,0011,0012,0013
     Boot0000* Fedora	HD(1,GPT,face6c9c-6d73-48ec-aa39-a459097618b1,0x800,0x64000)/File(\EFI\FEDORA\SHIMX64.EFI)
     Boot0011  Hard Drive	BBS(HD,,0x0)..GO..NO........u.S.T.4.0.0.0.D.M.0.0.5.-.2.D.P.1.6.6....................A.................................>..Gd-.;.A..MQ..L. . . . . . . . . . . . .G.Z.0.Y.F.J.Z.9........BO
     Boot0012  UEFI: PXE IP4 Intel(R) I211 Gigabit  Network Connection	PciRoot(0x0)/Pci(0x1,0x3)/Pci(0x0,0x2)/Pci(0x2,0x0)/Pci(0x0,0x0)/MAC(6045cba163b1,1)/IPv4(0.0.0.00.0.0.0,0,0)..BO
     Boot0013  UEFI: PXE IP6 Intel(R) I211 Gigabit  Network Connection	PciRoot(0x0)/Pci(0x1,0x3)/Pci(0x0,0x2)/Pci(0x2,0x0)/Pci(0x0,0x0)/MAC(6045cba163b1,1)/IPv6([::]:<->[::]:,0,0)..BO
     Boot0017* Fedora	HD(1,GPT,face6c9c-6d73-48ec-aa39-a459097618b1,0x800,0x64000)/File(\EFI\FEDORA\SHIM.EFI)..BO

Comment 11 burak 2020-01-03 19:23:39 UTC
This stopped occuring after adding "pcie_aspm=off iommu=1 amd_iommu=on" on vanilla kernel  head 5.5.rc4 commit 7ca4ad5ba886557b67d42242a80f303c3a99ded1 (iommu enabled on bios)

Comment 12 Marcin Zajaczkowski 2020-01-23 11:47:00 UTC
(In reply to burak from comment #11)
> This stopped occuring after adding "pcie_aspm=off iommu=1 amd_iommu=on" on
> vanilla kernel  head 5.5.rc4 commit 7ca4ad5ba886557b67d42242a80f303c3a99ded1

The same also worked for me with kernel-core-5.5.0-0.rc5.git0.1.fc32.x86_64.

Comment 13 Dariusz Wojewódzki 2020-02-19 21:47:09 UTC
Issue occurs also on RHEL8.1 (Ootpa)

[d@dwlab Desktop]$ uname -r
4.18.0-147.5.1.el8_1.x86_64

[d@dwlab Desktop]$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
00:16.3 Serial controller: Intel Corporation 100 Series/C230 Series Chipset Family KT Redirection (rev 31)
00:17.0 SATA controller: Intel Corporation Q170/Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mode] (rev 31)
00:1b.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #17 (rev f1)
00:1f.0 ISA bridge: Intel Corporation C236 Chipset LPC/eSPI Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GL [Quadro K2200] (rev a2)
01:00.1 Audio device: NVIDIA Corporation Device 0fbc (rev a1)
02:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM951/PM951 (rev 01)

[d@dwlab Desktop]$ dmesg|grep "pcieport 0000:00:1b.0"|tail -n 4
[   16.134734] pcieport 0000:00:1b.0: AER: Corrected error received: 0000:00:1b.0
[   16.134751] pcieport 0000:00:1b.0: PCIe Bus Error: severity=Corrected, type=Physical Layer, (Receiver ID)
[   16.134759] pcieport 0000:00:1b.0:   device [8086:a167] error status/mask=00000001/00002000
[   16.134763] pcieport 0000:00:1b.0:    [ 0] RxErr

Comment 14 Chris Moeller 2020-03-29 01:08:57 UTC
Issue also occurred on Arch Linux, so it's not distribution specific, or specific to the LTS kernel.

[chris@mrgency]$ uname -r
5.5.13-28-tkg-cfs

[chris@mrgency]$ journalctl -b -1 | tail -n 8
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER: Multiple Corrected error received: 0000:00:00.0
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER:   device [1022:1453] error status/mask=00001100/00006000
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER:    [ 8] Rollover              
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER:    [12] Timeout               
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER: Multiple Corrected error received: 0000:00:00.0
Mar 28 17:19:56 mrgency kernel: pcieport 0000:00:03.1: AER: can't find device of ID0000

I don't have a lspci because I'm not booted into that operating system right now, as it's not really desired to continue crashing my way through the day.

Comment 15 Chris Moeller 2020-03-29 01:10:27 UTC
Crud, sorry, remembered some details that would be relevant.

00:03.1 would be the GPP that's attached to my GPU, an Asus ROG Strix RX 480 O8G.


Note You need to log in before you can comment on or make changes to this bug.